
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>阿里巴巴Java 开发手册编程规约之常量定义 / 憋错料</title>

    <meta name="description" content="阿里巴巴Java 开发手册编程规约之常量定义 1. [强制]不允许任何魔法值(即未经定义的常量) 直接出现在代码中.反例: String key = &quot;Id#taobao_&quot; + tradeId;cache.put(key, value);2. [强制] long 或者 Long 初始赋值时,必须使用大写的 L,不能是小写的 l,小写容易跟数字1 混淆,造成误解.说明: Long a = 2l; 写的是数字的 21,还是 Long 型的 2?3. [推荐]不要使用一个常量类维护所有常量,应该按常量功能进行归类,分开维护. ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">阿里巴巴Java 开发手册编程规约之常量定义</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>1. 【强制】不允许任何魔法值（即<strong>未经定义的常量</strong>） 直接出现在代码中。<br />反例： String key = "Id#taobao_" + tradeId;<br />cache.put(key, value);<br />2. 【强制】 long 或者 Long 初始赋值时，必须使用大写的 L，不能是小写的 l，<strong>小写容易跟数字1 混淆</strong>，造成误解。<br />说明： Long a = 2l; 写的是数字的 21，还是 Long 型的 2?<br />3. 【推荐】不要使用<strong>一个常量类</strong>维护<strong>所有常量</strong>，应该按<strong>常量功能</strong>进行<strong>归类</strong>，分开维护。如：缓存相关的常量放在类： CacheConsts 下； 系统配置相关的常量放在类： ConfigConsts 下。<br />说明： <strong>大而全的常量类，非得使用查找功能才能定位到修改的常量，不利于理解和维护</strong>。<br />4. 【推荐】常量的复用层次有五层：跨应用共享常量、应用内共享常量、子工程内共享常量、包内共享常量、类内共享常量。<br />1） 跨应用共享常量：放置在二方库中，通常是 client.jar 中的 constant 目录下。<br />2） 应用内共享常量：放置在一方库的 modules 中的 constant 目录下。<br />反例： 易懂变量也要统一定义成应用内共享常量，两位攻城师在两个类中分别定义了表示“是”的变量：<br />类 A 中： public static final String YES = "yes";<br />类 B 中： public static final String YES = "y";<br />A.YES.equals(B.YES)，预期是 true，但实际返回为 false，导致线上问题。<br />3） 子工程内部共享常量：即在当前子工程的 constant 目录下。<br />4） 包内共享常量：即在当前包下单独的 constant 目录下。<br />5） 类内共享常量：直接在类内部 private static final 定义。<br />5. 【推荐】如果变量值仅在<strong>一个范围内</strong>变化，且带有名称之外的延伸属性， 定义为枚举类。下面正例中的数字就是延伸信息，表示星期几。<br />正例： public Enum { MONDAY(1), TUESDAY(2), WEDNESDAY(3), THURSDAY(4), FRIDAY(5), SATURDAY(6),<br />SUNDAY(7);}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 19:13:47 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ant/" title="ant">ant</a>, <a href="https://www.biecuoliao.com/tag/false/" title="false">false</a>, <a href="https://www.biecuoliao.com/tag/%e5%ae%9a%e4%b9%89/" title="定义">定义</a>, <a href="https://www.biecuoliao.com/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.biecuoliao.com/tag/nes/" title="nes">nes</a>, <a href="https://www.biecuoliao.com/tag/public/" title="public">public</a>, <a href="https://www.biecuoliao.com/tag/final/" title="final">final</a>, <a href="https://www.biecuoliao.com/tag/%e9%ad%94%e6%b3%95/" title="魔法">魔法</a>, <a href="https://www.biecuoliao.com/tag/%e6%b7%b7%e6%b7%86/" title="混淆">混淆</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>阿里巴巴Java 开发手册编程规约之常量定义的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVgOXx0.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之工程结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)应用分层1. [推荐]图中默认上层依赖于下层,箭头关系表示可直接依赖,如:开放接口层可以依赖于Web 层,也可以直接依赖于 Service 层,依此类推: 开放接口层:可直接封装 Service 方法暴露成 RPC 接口: 通过 Web 封装成 http 接口: 进行网关安全控制. 流量控制等.终端显示层:各个端的模板渲染并执行显示的层. 当前主要是 velocity 渲染, JS 渲染,JSP 渲染,移动端展示等.Web 层:主要是对访问控制进行转发,各类基本参数校验,或者不复用的业务简			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q7qR20.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之异常日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)异常处理1. [强制]Java 类库中定义的一类 RuntimeException 可以通过预先检查进行规避,而不应该通过 catch 来处理,比如: IndexOutOfBoundsException, NullPointerException 等等.说明: 无法通过预检查的异常除外,如在解析一个外部传来的字符串形式数字时,通过 catchNumberFormatException 来实现.正例: if (obj != null) {...}反例: try { obj.method()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg9WwR3.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之OOP规约</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [强制]避免通过一个类的对象引用访问此类的静态变量或静态方法,无谓增加编译器解析成本,直接用类名来访问即可.2. [强制]所有的覆写方法,必须加@Override 注解.说明: getObject()与 get0bject()的问题.一个是字母的 O,一个是数字的 0,加@Override可以准确判断是否覆盖成功.另外,如果在抽象类中对方法签名进行修改,其实现类会马上编译报错.3. [强制] 相同参数类型,相同业务含义,才可以使用 Java 的可变参数,避免使用 Object.说明: 可变			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDRYmp3.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之命名风格</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.[强制]代码中的命名均不能以下划线或美元符号开始,也不能以下划线或美元符号结束.这两个符号有特殊用途,代理类等~反例:_name/__name/$Object/name_/name$/Object$2.[强制]代码中的命名严禁使用拼音与英文混合的方式,更不允许直接使用中文的方式.说明:正确的英文拼写和语法可以让阅读者易于理解,避免歧义.注意,即使纯拼音命名方式也要避免采用.正例:alibaba/taobao/youku/hangzhou 等国际通用的名称,可视同英文.反例:DaZheProm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/74QWNN0.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之MySQL 数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)建表规约1. [强制]表达是与否概念的字段,必须使用 is_xxx 的方式命名,数据类型是 unsigned tinyint(1 表示是, 0 表示否) .说明: 任何字段如果为非负数,必须是 unsigned.正例: 表达逻辑删除的字段名 is_deleted, 1 表示删除, 0 表示未删除.2. [强制]表名.字段名必须使用小写字母或数字, 禁止出现数字开头,禁止两个下划线中间只出现数字.数据库字段名的修改代价很大,因为无法进行预发布,所以字段名称需要慎重考虑.正例: getter_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4plgEV4.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之并发处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [强制] 获取单例对象需要保证线程安全,其中的方法也要保证线程安全.说明: 资源驱动类.工具类.单例工厂类都需要注意. 2. [强制]创建线程或线程池时请指定有意义的线程名称,方便出错时回溯. 正例: public class TimerTaskThread extends Thread { public TimerTaskThread() { super.setName(&quot;TimerTaskThread&quot;); ... } 3. [强制]线程资源必须通过线程池提供,不允许在应用中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MorRpB4.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之控制语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [强制]在一个 switch 块内,每个 case 要么通过 break/return 等来终止,要么注释说明程序将继续执行到哪一个 case 为止: 在一个 switch 块内,都必须包含一个 default 语句并且放在最后,即使它什么代码也没有.2. [强制]在 if/else/for/while/do 语句中必须使用大括号. 即使只有一行代码,避免使用单行的形式: if (condition) statements;3. [推荐] 表达异常的分支时, 少用 if-else 方式,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ReAaqM.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之集合处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [强制] 关于 hashCode 和 equals 的处理,遵循如下规则:1) 只要重写 equals,就必须重写 hashCode.2) 因为 Set 存储的是不重复的对象,依据 hashCode 和 equals 进行判断,所以 Set 存储的对象必须重写这两个方法.3) 如果自定义对象做为 Map 的键,那么必须重写 hashCode 和 equals.说明: String 重写了 hashCode 和 equals 方法,所以我们可以非常愉快地使用 String 对象作为 key			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M61wwN4.html" rel="bookmark">阿里巴巴Java 开发手册编程规约之代码格式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. [强制]大括号的使用约定.如果是大括号内为空,则简洁地写成{}即可,不需要换行: 如果是非空代码块则:1)左大括号前不换行.2)左大括号后换行.3)右大括号前换行.4)右大括号后还有 else 等代码则不换行: 表示终止的右大括号后必须换行.2. [强制] 左小括号和字符之间不出现空格: 同样,右小括号和字符之间也不出现空格.详见第 5 条下方正例提示.反例: if (空格a == b空格)3. [强制] if/for/while/switch/do 等保留字与括号之间都必须加空格.4.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3O1rgM.html" rel="bookmark" class="title">360 3月25日笔试</a>
					<div>
						偶串题意: 一个字符串所有字符出现次数都是偶数,则称它为偶串. 现在给你一个字符串,你需要输出该字符串中包含多少偶串.这里的字串必须是原串中连续的一段. 比如一个n长度的字符串有n*(n+1)/2个字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QW78N0.html" rel="bookmark" class="title">插入一条新数据，如何返回主键值id，id是自动增长的</a>
					<div>
						strSQL = &quot;INSERT INTO tablename (name) VALUES (@name);SELECT @@Identity&quot; SQLCommand.Comman ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmGe6Q3.html" rel="bookmark" class="title">HDU 1712 ACboy needs your help （分组背包问题）</a>
					<div>
						有n门课程,和m天时间,完成a[i][j]得到的价值为第i行j列的数字,求最大价值...... 看过背包九讲的话,做这个就容易多了,其实就是简单的分组背包问题. #include &lt;iostre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4APJ253.html" rel="bookmark" class="title">Python之路-装饰器</a>
					<div>
						一.装饰器前置知识要点 1.名称空间 存放名字与变量绑定关系的地方 名称空间的分类: 内置名称空间:Python解释器启动时,存放自带的名字的地方.(比如内置函数) 全局名称空间:在执行文件时,文件级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqyE50.html" rel="bookmark" class="title">CTE代码编辑器</a>
					<div>
						CTE代码编辑器为一个16位代码编辑器,由本人一个人开发. 它现在只能运行在16位dos上面,可以在Windows系统或Linux系统上,找一个Dos模拟器,DosBox,Windows上的DosBo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Ad8Ba3.html" rel="bookmark" class="title">【2016&period;3&period;16】作业  VS2015安装&amp;单元测试（1）</a>
					<div>
						首先说下本机配置. CPU:Intel Atom x5-z8300 @1.44GHz 内存:2GB 操作系统:Windows10 家庭版 32位 硬盘:32GB 然后开始怒装visual studio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Kqd6Y4.html" rel="bookmark" class="title">NOIP2010提高组乌龟棋        -SilverN</a>
					<div>
						题目背景 小明过生日的时候,爸爸送给他一副乌龟棋当作礼物. 题目描述 乌龟棋的棋盘是一行N个格子,每个格子上一个分数(非负整数).棋盘第1格是唯一的起点,第N格是终点,游戏要求玩家控制一个乌龟棋子从起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p51myM.html" rel="bookmark" class="title">motion移植</a>
					<div>
						一. 支持ffmpeg功能(使能motion中的视频编码功能)支持视频采集 —&gt; ffmpeg不支持 —host   1. mkdir _install 2. ./configure —pref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aAaRA0.html" rel="bookmark" class="title">夺命雷公狗jquery---46查找操作</a>
					<div>
						&lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;title&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wEjgQM.html" rel="bookmark" class="title">centos 7 中的  systemd</a>
					<div>
						systemd的服务管理程序 systemctl是最主要的工具.它融合 service 和chkconfig的功能于一体.你可以使用它永久性或只在当前会话中启用/禁用服务. 下面命令用于列出正在运行的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BDQYM.html" rel="bookmark" class="title">【设计模式】备忘录模式&lpar;以电影明日边缘为例&rpar;</a>
					<div>
						1.说明 备忘录(Memento): 在不破坏封装性的前提下,捕获一个对象的内部装填,并在对象之外保存这个状态. 这样以后就可以将该对象恢复到原先保存的状态. 三个要素:[发起者] [备忘录] [管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkJ2w4.html" rel="bookmark" class="title">使用HttpParser类解析网页</a>
					<div>
						之前发过一篇文章:利用String类制作简单的网络爬虫 http://blog.csdn.net/gfd54gd5f46/article/details/54729874 这是是基于String类里的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7jNN4.html" rel="bookmark" class="title">动画Action</a>
					<div>
						/** * DelayTime延迟 * @param d Duration 延迟时间 */ auto delayTime = DelayTime::create(3); sprite-&gt;runA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/478XX9M.html" rel="bookmark" class="title">基于Netty的私有协议栈的开发</a>
					<div>
						基于Netty的私有协议栈的开发 书是人类进步的阶梯,每读一本书都使自己得以提升,以前看书都是看了就看了,当时感觉受益匪浅,时间一长就又还回到书本了!所以说,好记性不如烂笔头,以后每次看完一本书都写一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPv5km3.html" rel="bookmark" class="title">网管邮件配置</a>
					<div>
						一.为业务组添加邮件预警 以下为“数据库服务器”组添加预警 单击配置告警后可出此组里面有WINDOWS2008 WIN2012 AIX LINUX 配置告警 如此类推部署WINDOWS2012 AIX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Rm2QYM.html" rel="bookmark" class="title">2016证书无效，看这里</a>
					<div>
						刚回来上班,碰到这样的问题: 描述你的问题上班的第一天,发现电脑上的证书都提示:“此证书的签发者无效”而且企业版打包是会出现错误,但是又不敢都删了,尤其是企业证书不干删了,怕之前的应用不能用,求大神看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xB6RQ4.html" rel="bookmark" class="title">重启IIS报错：IIS 服务或万维网发布服务，或者依赖这 服务可能在启动期间发生错误或者已禁用</a>
					<div>
						参考文章: http://www.cnblogs.com/zengen/archive/2010/10/29/1864569.html 开启如下服务: Net.Msmq Listener Adapte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVQyRk4.html" rel="bookmark" class="title">Nodejs之MEAN栈开发（三）----  使用MongoDB和Mongoose创建数据模型及API</a>
					<div>
						继续开扒我们的MEAN栈开发之路,前面两节我们学习了Express.Jade引擎并创建了几个静态页面,最后通过Heroku部署了应用. Nodejs之MEAN栈开发(一)---- 路由与控制器 Nod ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41eE8o4.html" rel="bookmark" class="title">Android TabHost 动态修改图标或者动态改变标题</a>
					<div>
						那时客户需要实现在TabHost标题上动态显示从数据库获取的个数.起初这样思考的,从数据库 获取个数是非常简单,但是要把获取的个数显示在TabHost标题,思前想后,想用Handler来异步实现消息传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3Za7zg0.html" rel="bookmark" class="title">eclipse逆向生成hibernate的实体类</a>
					<div>
						eclipse从数据库逆向生成Hibernate实体类(注解和配置文件) 分类: hibernate 数据库 java 2011-10-22 21:28 2915人阅读 评论(8) 收藏 举报 做项目 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
